Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.util
Class ProxyVector

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--java.util.Vector
                        |
                        +--com.solarmetric.kodo.util.ProxyVector

All Implemented Interfaces:
  Cloneable, Collection, List, ProxyCollection, Serializable

public class ProxyVector
extends Vector
implements ProxyCollection

Extension of the `Vector` type that dirties the persistent/transactional field it is assigned to on modification. The need to dirty the field on any modification mandates that this class must override all mutator methods of the base type. This may lead to multiple calls to the `PersistenceCapable.jdoMakeDirty(java.lang.String)` for one state change if one mutator method of the base type calls another.

See Also:
  Serialized Form

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ProxyVector()` Template constructor.
`ProxyVector(Class elementType)` Constructor.
`ProxyVector(Collection contents, Class elementType)` Constructor.

Method Summary
`void` | `add(int index, Object value)`
`boolean` | `add(Object value)`
`boolean` | `addAll(Collection values)`
`boolean` | `addAll(int index, Collection values)`
`void` | `addElement(Object element)`
`void` | `clear()`
`Comparator` | `getComparator()` Return the comparator used in this collection, or null if it is unordered or uses natural ordering.
`Collection` | `getCopy(Collection orig)` This method should return a copy of the given collection; the copy should be of the same class as the superclass of this collection.
`Object` | `getOwner()` Return the owning object.
`String` | `getOwnerFieldName()` Return the owning field name.
`void` | `insertElementAt(Object element, int index)`
`Iterator` | `iterator()`
`ListIterator` | `listIterator()`
`ListIterator` | `listIterator(int index)`
`ProxyCollection` | `newInstance(Class elementType, Collection contents, Comparator compare)` This method should return a new proxy of the same concrete type as the implementing class.
`Object` | `remove(int index)`
`boolean` | `remove(Object o)`
`boolean` | `removeAll(Collection c)`
`void` | `removeAllElements()`
`boolean` | `removeElement(Object element)`
`void` | `removeElementAt(int index)`
`boolean` | `retainAll(Collection c)`
`Object` | `set(int index, Object element)`
`void` | `setElementAt(Object element, int index)`
`void` | `setOwner(Object pc, String fieldName)` Set the owning JDO instance of the proxy and the name of the field it is assigned to.
`protected Object` | `writeReplace()`

Methods inherited from class java.util.Vector
`capacity, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, isEmpty, lastElement, lastIndexOf, lastIndexOf, removeRange, setSize, size, subList, toArray, toArray, toString, trimToSize`

Methods inherited from class java.lang.Object
`, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`contains, containsAll, equals, hashCode, isEmpty, size, toArray, toArray`

Constructor Detail

### ProxyVector

    public ProxyVector()

  Template constructor.

### ProxyVector

    public ProxyVector(Collection contents,
                       Class elementType)

  Constructor.
  Parameters:
    `contents` - The data that this collection should contain.
    `elementType` - All elements in this collection must be instances of this type.

### ProxyVector

    public ProxyVector(Class elementType)

  Constructor.
  Parameters:
    `elementType` - All elements in this collection must be instances of this type.

Method Detail

### newInstance

    public ProxyCollection newInstance(Class elementType,
                                       Collection contents,
                                       Comparator compare)

  Description copied from interface: `ProxyCollection`
  This method should return a new proxy of the same concrete type as the implementing class. Used by the `ProxyManager` factories: one template instance of each type is created for the purpose of producing new instances via this method. Overcomes the performance penalties of reflection.
  Specified by:
    `newInstance` in interface `ProxyCollection`

### getCopy

    public Collection getCopy(Collection orig)

  Description copied from interface: `ProxyCollection`
  This method should return a copy of the given collection; the copy should be of the same class as the superclass of this collection.
  Specified by:
    `getCopy` in interface `ProxyCollection`

### getComparator

    public Comparator getComparator()

  Description copied from interface: `ProxyCollection`
  Return the comparator used in this collection, or null if it is unordered or uses natural ordering.
  Specified by:
    `getComparator` in interface `ProxyCollection`

### setOwner

    public void setOwner(Object pc,
                         String fieldName)

  Description copied from interface: `ProxyCollection`
  Set the owning JDO instance of the proxy and the name of the field it is assigned to. Set to null to indicate that the proxy is no longer managed.
  Specified by:
    `setOwner` in interface `ProxyCollection`

### getOwner

    public Object getOwner()

  Description copied from interface: `ProxyCollection`
  Return the owning object.
  Specified by:
    `getOwner` in interface `ProxyCollection`

### getOwnerFieldName

    public String getOwnerFieldName()

  Description copied from interface: `ProxyCollection`
  Return the owning field name.
  Specified by:
    `getOwnerFieldName` in interface `ProxyCollection`

### addElement

    public void addElement(Object element)

  Overrides:
    `addElement` in class `Vector`

### insertElementAt

    public void insertElementAt(Object element,
                                int index)

  Overrides:
    `insertElementAt` in class `Vector`

### removeAllElements

    public void removeAllElements()

  Overrides:
    `removeAllElements` in class `Vector`

### removeElement

    public boolean removeElement(Object element)

  Overrides:
    `removeElement` in class `Vector`

### removeElementAt

    public void removeElementAt(int index)

  Overrides:
    `removeElementAt` in class `Vector`

### setElementAt

    public void setElementAt(Object element,
                             int index)

  Overrides:
    `setElementAt` in class `Vector`

### add

    public void add(int index,
                    Object value)

  Overrides:
    `add` in class `Vector`

### add

    public boolean add(Object value)

  Specified by:
    `add` in interface `Collection`
  Overrides:
    `add` in class `Vector`

### addAll

    public boolean addAll(int index,
                          Collection values)

  Overrides:
    `addAll` in class `Vector`

### addAll

    public boolean addAll(Collection values)

  Specified by:
    `addAll` in interface `Collection`
  Overrides:
    `addAll` in class `Vector`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection`
  Overrides:
    `clear` in class `Vector`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Collection`
  Overrides:
    `iterator` in class `AbstractList`

### listIterator

    public ListIterator listIterator()

  Overrides:
    `listIterator` in class `AbstractList`

### listIterator

    public ListIterator listIterator(int index)

  Overrides:
    `listIterator` in class `AbstractList`

### remove

    public Object remove(int index)

  Overrides:
    `remove` in class `Vector`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection`
  Overrides:
    `remove` in class `Vector`

### removeAll

    public boolean removeAll(Collection c)

  Specified by:
    `removeAll` in interface `Collection`
  Overrides:
    `removeAll` in class `Vector`

### retainAll

    public boolean retainAll(Collection c)

  Specified by:
    `retainAll` in interface `Collection`
  Overrides:
    `retainAll` in class `Vector`

### set

    public Object set(int index,
                      Object element)

  Overrides:
    `set` in class `Vector`

### writeReplace

    protected Object writeReplace()
                           throws ObjectStreamException

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.